Skip to main content
GET
AhaSend Go SDK
Returns a message by its ID. The main difference between the response of this API and the response of the List Messages API is that this API returns a single message including the original, raw email content (if available), while the message objects returned in the List Messages API do not include the email content.

Authorizations

Authorization
string
header
required

API key for authentication. Non-empty Security Requirement values are AhaSend API-key roles. Roles listed within one requirement object are jointly required; separate requirement objects are alternatives.

Path Parameters

account_id
string<uuid>
required

Account ID

message_id
string
required

Message API ID. Accepts the generated Message-ID returned by Create Message API, for example <uuid@example.com>, or the bare UUID portion.

Response

Message details

object
enum<string>
required

Object type identifier

Available options:
message
created_at
string<date-time>
required

When the message was created

updated_at
string<date-time>
required

When the message was last updated

sent_at
string<date-time> | null
required

When the message was sent

delivered_at
string<date-time> | null
required

When the message was delivered

retain_until
string<date-time>
required

When the message data will be purged

direction
enum<string>
required

Message direction

Available options:
inbound,
outbound
is_bounce_notification
boolean
required

Whether this is a bounce notification

bounce_classification
string
required

Classification of bounce if applicable

delivery_attempts
object[]
required

List of delivery attempts for this message

message_id
string
required

Message-ID header value

id
string<uuid> | null
required

API-generated message ID

subject
string
required

Message subject

tags
string[]
required

Tags associated with the message

sender
string<email>
required

Sender email address

recipient
string<email>
required

Recipient email address

status
string
required

Current message status

num_attempts
integer
required

Number of delivery attempts

click_count
integer
required

Number of clicks tracked for this message

open_count
integer
required

Number of opens tracked for this message

reference_message_id
integer<int64> | null
required

ID of the original message (for bounce messages)

domain_id
string<uuid>
required

Domain ID this message was sent from

account_id
string<uuid>
required

Account ID this message belongs to

content
string

Original raw email content in RFC822 format. Omitted when message content is unavailable.

content_parsed
object

Parsed message content. Omitted when message content is unavailable.